## eole-aaf 2.7.1-7

=== Makefile ===
################################
# Makefile pour eole-aaf
################################

SOURCE=eole-aaf
VERSION=2.7
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.1
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-aaf (2.7.1-7) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b27e1ae] Si ENTPersonFonctions contient "ENS" alors c'est bien un enseignant
  * [964271b] Merge branch '2.6.2/30849-FonctionsENS' into 2.7.1/master
  * [f40ec69] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [29c76a4] Joël Cuissinat: Update package since “debian/eole/2.7.1-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Feb 2021 10:20:46 +0100

eole-aaf (2.7.1-6) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fa205db] Merge branch '2.6.2/29088-multivalued_attribute_with_structure_dn' into 2.6.2/master

  [ Joël Cuissinat ]
  * [cce2bf5] Augmentation de la taille du champ mail pour les nouvelles installations
  * [f8867e8] Augmentation du champ mail en mise à jour
  * [73c179f] Prise en compte des fichiers ;)
  * [8312387] Merge branch '2.6.2/30117-mail_size' into 2.7.1/master
  * [b8114bb] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [6ab06ab] Joël Cuissinat: Update package since “debian/eole/2.7.1-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 14 May 2020 15:22:22 +0200

eole-aaf (2.7.1-5) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4e69e9c] Use variable from right scope.
  * [633ce66] Merge branch '2.6.2/29088-multivalued_attribute_with_structure_dn' into 2.7.1/master
  * [06b15f3] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ac3ce17] Benjamin Bohard: Update package since “debian/eole/2.7.1-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 15 Nov 2019 11:57:45 +0100

eole-aaf (2.7.1-4) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [609f14f] Explicit unicode formatting
  * [bedfb07] Force SQL commit if unique random id insert failed
  * [4407b7d] Revert "Manage 'Œ' and 'œ' characters in Thot importation"
  * [0d42a07] Merge branch '2.6.2/master' into 2.7.1/master
  * [7814cd1] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [55c4daf] Joël Cuissinat: Update package since “debian/eole/2.7.1-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 25 Sep 2019 15:13:48 +0200

eole-aaf (2.7.1-3) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [cb94483] Manage 'Œ' and 'œ' characters in Thot importation
  * [d8dcb1e] Merge branch '2.6.2/master' into 2.7.1/master
  * [d11e60e] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e674c52] Joël Cuissinat: Update package since “debian/eole/2.7.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 23 Aug 2019 16:19:57 +0200

eole-aaf (2.7.1-2) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [fdede17] Ignore new 'ENTStructureMailSI' attribute
  * [7e0b261] Ignore attributes "address" for students
  * [acadce0] Ignore new 'ENTPersonCategorieEnseignant' attribute
  * [c8fc00d] Force charset at database connection
  * [1e3ee54] aaf-complet-maj : fix user modified detection
  * [3475d20] aaf-complet-maj : fix etab modified detection
  * [469f365] Delete duplicated values read from XML
  * [035de8e] Merge branch '2.6.2/master' into 2.7.1/master
  * [09f0842] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [2570c51] Joël Cuissinat: Update package since “debian/eole/2.7.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 18 Jul 2019 15:07:44 +0200

## eole-aaf 2.7.2-5

=== debian/changelog ===
eole-aaf (2.7.2-5) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b5c15ce] eoleaaf : remove table update specific code
  * [4b07663] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f235a24] Joël Cuissinat: Update package since “debian/eole/2.7.2-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 21 Jan 2020 12:01:24 +0100

eole-aaf (2.7.2-4) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4e69e9c] Use variable from right scope.
  * [7f2d6f2] Merge branch '2.6.2/29088-multivalued_attribute_with_structure_dn'
  * [5a24150] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [c31c1b8] Benjamin Bohard: Update package since “debian/eole/2.7.2-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 15 Nov 2019 11:55:48 +0100

eole-aaf (2.7.2-3) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [609f14f] Explicit unicode formatting
  * [bedfb07] Force SQL commit if unique random id insert failed
  * [4407b7d] Revert "Manage 'Œ' and 'œ' characters in Thot importation"
  * [1f5747a] Merge branch '2.6.2/master'
  * [44c37fd] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f083df8] Joël Cuissinat: Update package since “debian/eole/2.7.2-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Oct 2019 16:39:04 +0200

eole-aaf (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Joël Cuissinat ]
  * [cb94483] Manage 'Œ' and 'œ' characters in Thot importation
  * [0cc1ee5] Merge branch '2.6.2/master'
  * [11797fc] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [352b2b1] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 23 Aug 2019 16:20:44 +0200

eole-aaf (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [28d98ab] Prepare version 2.7.2
  * [dbf930c] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Joël Cuissinat ]
  * [fdede17] Ignore new 'ENTStructureMailSI' attribute
  * [7e0b261] Ignore attributes "address" for students
  * [acadce0] Ignore new 'ENTPersonCategorieEnseignant' attribute
  * [c8fc00d] Force charset at database connection
  * [1e3ee54] aaf-complet-maj : fix user modified detection
  * [3475d20] aaf-complet-maj : fix etab modified detection
  * [469f365] Delete duplicated values read from XML
  * [a6c3985] Merge branch '2.6.2/master'
  * [b1240fc] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1f811b5] Joël Cuissinat: Update package since “debian/eole/2.7.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 18 Jul 2019 16:07:04 +0200

## eole-aaf 2.7.2-6

=== debian/changelog ===
eole-aaf (2.7.2-6) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fa205db] Merge branch '2.6.2/29088-multivalued_attribute_with_structure_dn' into 2.6.2/master

  [ Joël Cuissinat ]
  * [cce2bf5] Augmentation de la taille du champ mail pour les nouvelles installations
  * [f8867e8] Augmentation du champ mail en mise à jour
  * [73c179f] Prise en compte des fichiers ;)
  * [3c1d152] Merge branch '2.6.2/30117-mail_size' into 2.7.2/master
  * [f45f58c] Revert "Prise en compte des fichiers ;)"
  * [e1300f1] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [028af43] Joël Cuissinat: Update package since “debian/eole/2.7.2-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 14 May 2020 15:45:26 +0200

## eole-aaf 2.7.2-8

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-aaf
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-aaf (2.7.2-8) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b27e1ae] Si ENTPersonFonctions contient "ENS" alors c'est bien un enseignant
  * [0cbf877] Merge branch '2.6.2/30849-FonctionsENS' into 2.7.2/master
  * [37c5cf3] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [9c9276a] Joël Cuissinat: Update package since “debian/eole/2.7.2-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Feb 2021 10:22:59 +0100

eole-aaf (2.7.2-7) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [cf582a2] Merge branch '2.6.2/30117-mail_size' into 2.6.2/master
  * [637987c] Merge branch '2.6.2/30117-mail_size' into 2.6.2/master
  * [5d8e3b9] Add AAF1D support in aaf.py
  * [6abbccd] Clean aaf.py (pylint)
  * [13e248b] Clean util.py (pylint)
  * [7b07acc] Merge branch '2.6.2/30458-AAF1D' into 2.7.2/master
  * [08d8009] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [bc07d0d] Joël Cuissinat: Update package since “debian/eole/2.7.2-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 22 Jul 2020 16:10:53 +0200

=== debian/control ===
Source: eole-aaf
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/seshat-aaf
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/seshat-aaf/repository

Package: eole-thot-module
Section: metapackages
Depends: ${misc:Depends}, eole-thot
Provides: eole-module
Conflicts: eole-module
Architecture: all
Description: Module Thot (metapackage)
 Méta-paquet du module Thot
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-thot
Architecture: all
Depends: ${misc:Depends},
         eole-server,
         eole-annuaire,
         eole-mysql,
         eole-web,
         eole-adminer,
         python-eoleaaf
Description: configuration du module EOLE : Thot
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-thot-all
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, eole-thot-module,
         eole-web-pkg,
         eole-mysql-pkg,
         eole-adminer-pkg,
         eole-annuaire-pkg,
         eole-exim-pkg,
         eole-antivirus-pkg
Description: Module Thot (metapackage)
 Tous les paquets pour un module Thot sans mode conteneur
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eoleaaf
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-mysqldb,
         python-lxml,
         python-cheetah,
         python-configobj
Description: Librairies et scripts pour le traitement et l'intégration des données AAF
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-aaf 2.8.0-12

=== debian/changelog ===
eole-aaf (2.8.0-12) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d50fc60] Iter on copy to allow modifying object.
  * [80b7d4f] bytes to str conversion for userPassword field.
  * [37e709e] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [043dac9] Benjamin Bohard: Update package since “debian/eole/2.8.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 10 Sep 2020 09:57:20 +0200

eole-aaf (2.8.0-11) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [fd01796] Identify user with password
  * [bdc496d] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [7c7a348] Benjamin Bohard: Update package since “debian/eole/2.8.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 09 Sep 2020 10:19:03 +0200

eole-aaf (2.8.0-10) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d3ea37a] Replace file by open.
  * [f3fda9e] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d54b9a2] Benjamin Bohard: Update package since “debian/eole/2.8.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 08 Sep 2020 18:00:34 +0200

eole-aaf (2.8.0-9) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [8482e45] Update print statement in inline python commands.
  * [3eb0775] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [64ee678] Benjamin Bohard: Update package since “debian/eole/2.8.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 08 Sep 2020 16:51:03 +0200

eole-aaf (2.8.0-8) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [f48197f] Update python calls and shebangs
  * [930e61d] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [1871113] Benjamin Bohard: Update package since “debian/eole/2.8.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 08 Sep 2020 16:42:36 +0200

eole-aaf (2.8.0-7) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [6e072d3] 2to3 port for scripts and tests.
  * [01abfeb] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [578e76d] Benjamin Bohard: Update package since “debian/eole/2.8.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 08 Sep 2020 16:32:46 +0200

eole-aaf (2.8.0-6) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1256c6f] Update python package name.

  [ EOLE Build Daemon ]
  * [7c4c3aa] Benjamin Bohard: Update package since “debian/eole/2.8.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 08 Sep 2020 15:51:32 +0200

eole-aaf (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [98031f1] Update dependencies on python3 libs
  * [c455128] 2to3 first pass
  * [5b9d267] Merge branch '2.8.0/30585-eoleaaf_port'
  * [07e9bbf] Merge branch 'master' into dist/eole/2.8.0/master
  * [c102c5d] Update rules
  * [01a19dc] Update build depends
  * [1d01239] Use python3 to install python libraries.
  * [fd7adf7] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f4212e9] Benjamin Bohard: Update package since “debian/eole/2.8.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 08 Sep 2020 14:43:21 +0200

eole-aaf (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [cf582a2] Merge branch '2.6.2/30117-mail_size' into 2.6.2/master
  * [637987c] Merge branch '2.6.2/30117-mail_size' into 2.6.2/master
  * [5d8e3b9] Add AAF1D support in aaf.py
  * [6abbccd] Clean aaf.py (pylint)
  * [13e248b] Clean util.py (pylint)
  * [7b07acc] Merge branch '2.6.2/30458-AAF1D' into 2.7.2/master

  [ Fabrice Barconnière ]
  * [8193a19] Merge branch '2.7.2/master' into master
  * [d4760eb] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [46075f4] Fabrice Barconnière: Update package since “debian/eole/2.8.0-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 25 Aug 2020 16:05:59 +0200

eole-aaf (2.8.0-3) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [fa205db] Merge branch '2.6.2/29088-multivalued_attribute_with_structure_dn' into 2.6.2/master

  [ Joël Cuissinat ]
  * [cce2bf5] Augmentation de la taille du champ mail pour les nouvelles installations
  * [f8867e8] Augmentation du champ mail en mise à jour
  * [73c179f] Prise en compte des fichiers ;)
  * [3c1d152] Merge branch '2.6.2/30117-mail_size' into 2.7.2/master
  * [f45f58c] Revert "Prise en compte des fichiers ;)"
  * [3727642] Merge branch '2.7.2/master'
  * [36dc0f8] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [25fc4a8] Joël Cuissinat: Update package since “debian/eole/2.8.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 14 May 2020 15:46:22 +0200

eole-aaf (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b9e376d] setup.py : eoleaaf code is still in python2
  * [6f400a9] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [7967eb9] Joël Cuissinat: Update package since “debian/eole/2.8.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 03 Feb 2020 10:32:29 +0100

eole-aaf (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [6deb034] Prepare version 2.8.0
  * [c205f6c] Merge branch 'master' into dist/eole/2.8.0/master

  [ Joël Cuissinat ]
  * [6b11dc7] eoleaaf : upgrade MySQL commands for EOLE 2.8.0
  * [af3fe5c] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f1e1d9d] Joël Cuissinat: Update package since “debian/eole/2.7.2-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 03 Feb 2020 10:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all
+Build-Depends: debhelper (>= 9), python3-all, dh-python
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/seshat-aaf
@@ -28,7 +28,7 @@
          eole-mysql,
          eole-web,
          eole-adminer,
-         python-eoleaaf
+         python3-eoleaaf
 Description: configuration du module EOLE : Thot
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
@@ -49,14 +49,14 @@
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
 
-Package: python-eoleaaf
+Package: python3-eoleaaf
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-mysqldb,
-         python-lxml,
-         python-cheetah,
-         python-configobj
+         ${python3:Depends},
+         python3-mysqldb,
+         python3-lxml,
+         python3-cheetah,
+         python3-configobj
 Description: Librairies et scripts pour le traitement et l'intégration des données AAF
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-aaf 2.8.0-13

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-aaf
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-aaf (2.8.0-13) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b27e1ae] Si ENTPersonFonctions contient "ENS" alors c'est bien un enseignant
  * [3554336] Merge branch '2.6.2/30849-FonctionsENS' into 2.8.0/master
  * [a263eb7] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [156557d] Joël Cuissinat: Update package since “debian/eole/2.8.0-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Feb 2021 10:23:56 +0100

## eole-aaf 2.8.1-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-aaf
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-aaf (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b27e1ae] Si ENTPersonFonctions contient "ENS" alors c'est bien un enseignant
  * [20d668e] Merge branch '2.6.2/30849-FonctionsENS'
  * [e47735a] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6a337b7] Joël Cuissinat: Update package since “debian/eole/2.8.1-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 02 Feb 2021 10:24:42 +0100

eole-aaf (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9c2a2fd] fix packaging (/usr/share/eole/db was missing)

  [ EOLE Build Daemon ]
  * [a027a05] Joël Cuissinat: Update package since “debian/eole/2.8.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 24 Nov 2020 14:40:36 +0100

eole-aaf (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [218cbe3] update rules

  [ EOLE Build Daemon ]
  * [4fc7576] Matthieu Lamalle: Update package since “debian/eole/2.8.1-1”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 20 Nov 2020 10:14:23 +0100

eole-aaf (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [1ce9433] Prepare version 2.8.1
  * [f660c94] Merge branch 'master' into dist/eole/2.8.1/master

  [ Matthieu Lamalle ]
  * [56aca40] portage vers eole-db ref #31167
  * [62b0bc4] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1e6a013] Matthieu Lamalle: Update package since “debian/eole/2.8.0-12”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 20 Nov 2020 09:57:52 +0100

## eole-aaf 2.9.0-2

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-aaf
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-aaf (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ab2768c] Upgrade debian/rules for EOLE 2.9

  [ EOLE Build Daemon ]
  * [9f408d1] Joël Cuissinat: Update package since “debian/eole/2.9.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 25 Oct 2022 11:19:20 +0200

eole-aaf (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9963fb6] Prepare version 2.9.0
  * [4b97f16] Merge branch 'master' into dist/eole/2.9.0/master
  * [88d18a3] fix(makefile): installing files requires directories first

  [ Joël Cuissinat ]
  * [d72dbaa] Thot 2.9 : /tmp is now a tmpFS
  * [8dfe43f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c85155f] Joël Cuissinat: Update package since “debian/eole/2.8.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 24 Oct 2022 17:14:15 +0200

## eole-aaf 2.10.0-2

=== debian/changelog ===
eole-aaf (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1485ccd] La méthode warn est remplacée par la méthode warning.
  * [4f591be] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [1af92bd] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 13 Jun 2024 10:24:31 +0200

eole-aaf (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [dd86113] Prepare release 2.10.0
  * [679a3f0] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [89ed8e4] Échapper les caractères \ ou utiliser les raw-strings.
  * [a5b0300] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [53d7d3a] Joël Cuissinat: Update package since “debian/eole/2.9.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 30 Apr 2024 16:30:36 +0200

## eole-aaf 2.10.0-9

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-aaf
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-aaf (2.10.0-9) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [e53eb04] support AAF 25.2 (ref #37196)
  * [f5b93dd] Merge branch '2.9.0/37196'
  * [1726294] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4286e57] Emmanuel Garette: Update package since “debian/eole/2.10.0-8”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 10 Nov 2025 12:14:34 +0100

eole-aaf (2.10.0-8) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c52a6d7] config.py (ref #37142)
  * [a441c65] Merge branch '2.9.0/37112'
  * [df73c04] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5d9df8d] Emmanuel Garette: Update package since “debian/eole/2.10.0-7”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 10 Nov 2025 11:38:30 +0100

eole-aaf (2.10.0-7) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [e21186c] dependance LDAP (ref #37142)
  * [aa74417] integration de la partie educonnect (ref #37142)
  * [17a837c] Merge branch '2.9.0/37112'
  * [93ab3a5] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [002d5e6] Emmanuel Garette: Update package since “debian/eole/2.10.0-6”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 10 Nov 2025 11:21:40 +0100

eole-aaf (2.10.0-6) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [de916c0] Replace the VARCHAR by TEXT for ENTAuxEnsGroupes field
  * [9901de7] Merge branch '2.9.0/37143'
  * [0b16136] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [610d4cc] Joël Cuissinat: Update package since “debian/eole/2.10.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 30 Oct 2025 12:05:19 +0100

eole-aaf (2.10.0-5) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [1715f39] fix (ref #37142)
  * [03aba18] Merge branch '2.9.0/37112'
  * [09e6aaa] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3c1b1c2] Emmanuel Garette: Update package since “debian/eole/2.10.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 28 Oct 2025 11:43:44 +0100

eole-aaf (2.10.0-4) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8fdcfb9] ajouter des attributs ENTAuxEnsClassesMatieres et ENTAuxEnsGroupesMatieres (ref #37141)
  * [12556e2] intégration de contribution d'Aix-Marseille : possibilité de ne pas importer les responsble + lien ldap agent (ref #37142)
  * [568922d] Merge branch '2.9.0/37112'
  * [c2e3606] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [10f04cb] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 28 Oct 2025 10:40:12 +0100

eole-aaf (2.10.0-3) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [040b2a2] ne pas limiter le nombre d'entrée lors d'un query (ref #37112)
  * [ca93858] Merge branch '2.9.0/37112'
  * [5fb268e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [f4c8591] Emmanuel Garette: Update package since “debian/eole/2.10.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 30 Sep 2025 09:22:25 +0200

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,8 @@
          python3-mysqldb,
          python3-lxml,
          python3-cheetah,
-         python3-configobj
+         python3-configobj,
+         python3-ldap
 Description: Librairies et scripts pour le traitement et l'intégration des données AAF
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_builddeb

## eole-aaf 2.10.0-12

=== debian/changelog ===
eole-aaf (2.10.0-12) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [99da6a7] exclusion des attributs ENTAuxEnsClassesMatieres et ENTAuxEnsGroupesMatieres (ref #37276)
  * [b15f34f] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a38e4b6] Emmanuel Garette: Update package since “debian/eole/2.10.0-11”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 06 Jan 2026 15:40:20 +0100

eole-aaf (2.10.0-11) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [3f66764] ne pas importer les mails si ne contient pas que des caractères ascii (ref #37255)
  * [a339ce2] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [61da87d] Emmanuel Garette: Update package since “debian/eole/2.10.0-10”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 06 Jan 2026 14:36:15 +0100

eole-aaf (2.10.0-10) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [db4bf20] ajout des informations du projet athos (ref #37142)
  * [595eb47] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [71f6a2f] Emmanuel Garette: Update package since “debian/eole/2.10.0-9”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 09 Dec 2025 10:39:23 +0100
